/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CategoryAxisBaseDescription } from "./CategoryAxisBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class TimeAxisBaseDescription extends CategoryAxisBaseDescription {
    constructor() {
        super();
        this.di = null;
        this.c8 = false;
        this.db = new Date();
        this.da = new Date();
        this.dd = new Date();
        this.dc = new Date();
    }
    get_type() {
        return "TimeAxisBase";
    }
    get dateTimeMemberPath() {
        return this.di;
    }
    set dateTimeMemberPath(a) {
        this.di = a;
        this.e("DateTimeMemberPath");
    }
    get isDataPreSorted() {
        return this.c8;
    }
    set isDataPreSorted(a) {
        this.c8 = a;
        this.e("IsDataPreSorted");
    }
    get actualMinimumValue() {
        return this.db;
    }
    set actualMinimumValue(a) {
        this.db = a;
        this.e("ActualMinimumValue");
    }
    get actualMaximumValue() {
        return this.da;
    }
    set actualMaximumValue(a) {
        this.da = a;
        this.e("ActualMaximumValue");
    }
    get minimumValue() {
        return this.dd;
    }
    set minimumValue(a) {
        this.dd = a;
        this.e("MinimumValue");
    }
    get maximumValue() {
        return this.dc;
    }
    set maximumValue(a) {
        this.dc = a;
        this.e("MaximumValue");
    }
}
TimeAxisBaseDescription.$t = markType(TimeAxisBaseDescription, 'TimeAxisBaseDescription', CategoryAxisBaseDescription.$);
